//
//  SLCitySetVc.m
//  SLAiELTS
//
//  Created by Gusont on 2023/6/1.
//

#import "SLCitySetVc.h"
#import "BRPickerView.h"
#import "SLBaseCellView.h"
#import "SLLocationManager.h"

@interface SLCitySetVc ()

@end

@implementation SLCitySetVc

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view from its nib.
    self.title = NSLocalizedString(@"设置地区", nil);
    [self confignSexSetView];
//    NSString *citysPath =[[NSBundle mainBundle] pathForResource:@"city" ofType:@"json"];
//    NSString *citysStr = [NSString stringWithContentsOfFile:citysPath encoding:NSUTF8StringEncoding error:nil];
//    
//    NSArray *citys = [BRAddressModel mj_objectArrayWithKeyValuesArray:[citysStr mj_JSONObject]];
//    NSMutableArray *marr = [NSMutableArray array];
//    NSMutableString *mstr = [NSMutableString string];
//    [citys enumerateObjectsUsingBlock:^(BRAddressModel * obj, NSUInteger idx, BOOL * _Nonnull stop) {
//        if (obj.deep == 0) {
//            [citys enumerateObjectsUsingBlock:^(BRAddressModel * obj1, NSUInteger idx, BOOL * _Nonnull stop) {
//                if (obj1.deep == 1 && [obj1.code hasPrefix:obj.code]) {
//                    NSArray *pys1 = [obj1.pinyin componentsSeparatedByString:@" "];
//                    NSMutableString *pyC = [NSMutableString string];
//                    [pys1 enumerateObjectsUsingBlock:^(NSString *  _Nonnull obj, NSUInteger idx, BOOL * _Nonnull stop) {
//                        [pyC appendFormat:@"%@",[obj capitalizedString]];
//                    }];
//                    obj1.pinyin = pyC;
//                    [obj.addressModel addObject:obj1];
//                    [citys enumerateObjectsUsingBlock:^(BRAddressModel * obj2, NSUInteger idx, BOOL * _Nonnull stop) {
//                        if (obj2.deep == 2 && [obj2.code hasPrefix:obj1.code]) {
//                            NSArray *pys2 = [obj2.pinyin componentsSeparatedByString:@" "];
//                            NSMutableString *pyC = [NSMutableString string];
//                            [pys2 enumerateObjectsUsingBlock:^(NSString *  _Nonnull obj, NSUInteger idx, BOOL * _Nonnull stop) {
//                                [pyC appendFormat:@"%@",[obj capitalizedString]];
//                            }];
//                            obj2.pinyin = pyC;
//                            [obj1.addressModel addObject:obj2];
//                        }
//                    }];
//                    [mstr appendFormat:@"\"%@\" = \"%@\";\n",obj1.extName,pyC];
//                }
//            }];
//            NSArray *pys = [obj.pinyin componentsSeparatedByString:@" "];
//            NSMutableString *pyC = [NSMutableString string];
//            [pys enumerateObjectsUsingBlock:^(NSString *  _Nonnull obj, NSUInteger idx, BOOL * _Nonnull stop) {
//                [pyC appendFormat:@"%@",[obj capitalizedString]];
//            }];
//            obj.pinyin = pyC;
//            [marr addObject:obj];
//
//////            NSString *py = [obj.pinyin stringByReplacingOccurrencesOfString:@" " withString:@""];
//            [mstr appendFormat:@"\"%@\" = \"%@\";\n",obj.extName,pyC];
//        }
//    }];
//    NSArray *dictArr = [NSObject mj_keyValuesArrayWithObjectArray:marr];
//    NSString *cityjson = [dictArr mj_JSONString];
//
//    NSLog(@"%@",cityjson);
//    NSLog(@"%@",mstr);

//    NSLog(@"---%@--%@",citys,citysStr);
}

- (void)confignSexSetView {
    NSArray *arr = @[[SLPageModelDetail initWithTitle:NSLocalizedString(@"定位到的位置", nil) bgImage:@""],
      [SLPageModelDetail initWithTitle:NSLocalizedString(@"选择地区", nil) bgImage:@""],];
    [arr enumerateObjectsUsingBlock:^(SLPageModelDetail * _Nonnull obj, NSUInteger idx, BOOL * _Nonnull stop) {
        SLBaseCellView *baseCell = [[SLBaseCellView alloc] initWithFrame:CGRectZero];
        baseCell.titleLabel.text = obj.title;
        baseCell.subTitleLabel.text = @"";
        [baseCell updateConstraintsWith:SLBaseCellView1];
        baseCell.tag = 8888 + idx;
        WS(weakSelf);
        __block SLBaseCellView *blockBaseCell = baseCell;
        [baseCell addTapWithBlock:^{
            blockBaseCell.contentView.backgroundColor = SLColSel;
            [UIView animateWithDuration:0.5 animations:^{
                blockBaseCell.contentView.backgroundColor = [UIColor whiteColor];
            }];
            switch (idx) {
                case 0:
                {
                    [[SLLocationManager shareInstance] getLocationComplete:^(CLLocation * _Nullable currentLocation) {
                        if (currentLocation) {
                            
                            [[SLHttpCenter SharedInstance] postWithUrl:@"/api/User/SetUserAddress" parameter:@{@"province" : [SLLocationManager shareInstance].province ?: @"", @"city" : [SLLocationManager shareInstance].city ?: @""} success:^(id responseObject) {
                                SLLoginInfo *newLoginModel = [SLGlobalInfo SharedInstance].loginInfo;
                                newLoginModel.user.province = [SLLocationManager shareInstance].province;
                                newLoginModel.user.city = [SLLocationManager shareInstance].city;
                                [SLGlobalInfo SharedInstance].loginInfo = newLoginModel;
                                SLBaseCellView *baseCell = [weakSelf.view viewWithTag:8888];
                                baseCell.subTitleLabel.text = [NSString stringWithFormat:@"%@%@",[SLLocationManager shareInstance].province,[SLLocationManager shareInstance].city];
                                dispatch_after(dispatch_time(DISPATCH_TIME_NOW, (int64_t)(1 * NSEC_PER_SEC)), dispatch_get_main_queue(), ^{
                                    [weakSelf.navigationController popViewControllerAnimated:YES];
                                });
                            } failure:^(SPRequestError *error) {
                                
                            }];
                        }else {
                            [ZFToast ShowWithMessage:NSLocalizedString(@"定位失败，请检查权限设置", nil)];
                        }
                    }];
                }
                    break;
                case 1:
                {
                    [weakSelf addressPickerViewShow];
                }
                    break;
                default:
                    break;
            }

        }];
        baseCell.backgroundColor = [UIColor whiteColor];
        [self.view addSubview:baseCell];
        CGFloat top = 56 * idx * KScaleW + kNavBarHeight + 10;
        [baseCell mas_makeConstraints:^(MASConstraintMaker *make) {
            make.left.right.equalTo(self.view);
            make.height.mas_equalTo(56 * KScaleW);
            make.top.equalTo(self.view).offset(top);
        }];
        
    }];
}


- (void)addressPickerViewShow {
    /// 地址选择器
    BRAddressPickerView *addressPickerView = [[BRAddressPickerView alloc]init];
    addressPickerView.pickerMode = BRAddressPickerModeCity;
    addressPickerView.title = NSLocalizedString(@"请选择地区", nil);

    //addressPickerView.selectValues = @[@"浙江省", @"杭州市", @"西湖区"];
//    addressPickerView.selectIndexs = @[@10, @0, @4];
//    addressPickerView.isAutoSelect = YES;
    WS(weakSelf);
    addressPickerView.resultBlock = ^(BRAddressModel *province, BRAddressModel *city, BRAddressModel *area) {
        [[SLHttpCenter SharedInstance] postWithUrl:@"/api/User/SetUserAddress" parameter:@{@"province" : province.name, @"city" : city.name ?: @""} success:^(id responseObject) {
            SLLoginInfo *newLoginModel = [SLGlobalInfo SharedInstance].loginInfo;
            newLoginModel.user.province = province.name;
            newLoginModel.user.city = city.name;
            [SLGlobalInfo SharedInstance].loginInfo = newLoginModel;
            SLBaseCellView *baseCell = [weakSelf.view viewWithTag:8888 + 1];
//            baseCell.titleLabel.text = @"已选地区";
            baseCell.subTitleLabel.text = [NSString stringWithFormat:@"%@ %@",NSLocalizedString(province.name, nil),NSLocalizedString(city.name, nil)];
            [ZFToast ShowWithMessage:NSLocalizedString(@"保存成功", nil)];
            dispatch_after(dispatch_time(DISPATCH_TIME_NOW, (int64_t)(1 * NSEC_PER_SEC)), dispatch_get_main_queue(), ^{
                [weakSelf.navigationController popViewControllerAnimated:YES];
            });
        } failure:^(SPRequestError *error) {
            
        }];
    };
    [addressPickerView show];
}

@end
