//
//  RoleModel.m
//  SLAiELTS
//
//  Created by Gusont on 2023/2/28.
//

#import "RoleModel.h"

@interface RoleModel()

/// 男，女
@property (nonatomic, strong) NSString *dataSex;

@property (nonatomic, strong) NSString *dataName;


@end

@implementation RoleModel

- (void)setDataSex:(NSString *)dataSex {
    _dataSex = dataSex;
    _aiSex = _dataSex;
}

- (void)setDataName:(NSString *)dataName {
    _dataName = dataName;
    _aiName = _dataName;
}

+ (NSDictionary *)roleModelDict {
    return @{NSLocalizedString(@"英音", nil) : @"1",
             NSLocalizedString(@"美音", nil) : @"0",
             NSLocalizedString(@"快", nil) : @"1.5",
             NSLocalizedString(@"中", nil) : @"1",
             NSLocalizedString(@"慢", nil) : @"0.5",
             NSLocalizedString(@"男性", nil) : @"男",
             NSLocalizedString(@"女性", nil) : @"女",};
}

+ (NSDictionary *)roleSpeedModelDict {
    return @{
             NSLocalizedString(@"快", nil) : @"1.5",
             NSLocalizedString(@"中", nil) : @"1",
             NSLocalizedString(@"慢", nil) : @"0.5"};
}

+ (NSDictionary *)roleLanuchModelDict {
    return @{
            NSLocalizedString(@"英音", nil) : @"1",
            NSLocalizedString(@"美音", nil) : @"0",};
}

@end

@implementation RoleViewModel

@end


@interface InterestModel()

@property (nonatomic, strong) NSString *interest_Id;

@end

@implementation InterestModel


+ (NSDictionary *)mj_replacedKeyFromPropertyName {
   return @{
            @"interest_Id" : @"id"};
}

- (void)setInterest_Id:(NSString *)interest_Id {
    _interest_Id = interest_Id;
    _interestId = interest_Id;
}

@end
